**********************************************************
* Introduzione all'analisi dei dati longitudinali
* CAP 3:	ANALISI DEGLI EVENTI  
**********************************************************
** FIGURA 2, 
** ESEMPI 
** Tassi di transizioni r(t) 
* VERSIONE: AGOSTO 2013
*********************************************************

*version 12.1 

* exponential r(t)= p  (p)
* weibul r(t)= p*a*x^(p-1)   (alpha, p) 
* loglog r(t)= (l*p*(l*x)^p-1)/(1+(l*x)^p) (lamda, p)  
twoway   /// 
 (function y=0.1, range(0 20) clwidth(*2) clcolor(black)   yvarlab("exponential p=1"))  ///
 (function y=0.2*0.8*x^(-0.2), range(0 20) clwidth(*2) clcolor(ltblue) yvarlab("weibull a=0.2 p=0.8"))   ///
 (function y=(.20*2.5*(.20*x)^1.5)/(1+(.20*x)^2.5), range(0 20)   clwidth(*2) clcolor(purple) yvarlab("loglog. l=0.2 p=2.5 ")), ///
    xsize(4.5) title("tassi di transizione r(t)")                                                     ///
    ylabel(0(.05).3, angle(0) format(%3.2f) grid) ytitle("rate", size(medium))                                        ///
    xlabel(0(5)20) xtitle("tempo", size(medium) margin(0 0 0 2)) legend(pos(1) ring(0) rows(4) order(3 2 1))                    


 
* Funzione di sopravvivenza  G(t)

* exponential G(t)= exp(-(p*x))   (p)
* weibul G(t)= y=exp(-(a*x)^p)   (alpha, p) 
* loglog G(t)= (1+(lx)^(1/g))^-1  (lamda, gamma)  

twoway    /// 
 (function y=exp((-x)^1), range(0 20) clwidth(*2) clcolor(black)   yvarlab("exponential p=1"))  ///
 (function y=exp(-(0.2*x)^0.8), range(0 20)  clwidth(*2) clcolor(ltblue)   yvarlab("weibull a=0.2 p=0.8"))  ///
 (function y=(1+(0.2*x)^(1/2.5))^-1, range(0 20)   clwidth(*2) clcolor(purple) yvarlab("loglog. l=0.2 p=2.5 ")),  ///
 xsize (4.5) title("funzioni di sopravvivenza G(t)")                                   ///
    ylabel(0(.1)1, angle(0) format(%3.2f) grid) ytitle("%", size(medium))                 ///
    xlabel(0(5)20) xtitle("tempo", size(medium) margin(0 0 0 2)) legend(pos(1) ring(0) rows(4) order(3 2 1))                     
	
